"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getThenLogger = exports.getErrorLogger = undefined;

var _promise = require("babel-runtime/core-js/promise");

var _promise2 = _interopRequireDefault(_promise);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint no-console:0 */

exports.getErrorLogger = getErrorLogger;
exports.getThenLogger = getThenLogger;


function getErrorLogger(title) {
  return function (err) {
    console.error(`There was an error: ${title}`, err);
    return _promise2.default.reject(err);
  };
}

function getThenLogger(title) {
  return function (res) {
    console.error(title, res);
    return res;
  };
}